Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.meta
Class FieldMappingInfo

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.impl.jdbc.meta.MappingInfo
            |
            +--com.solarmetric.rd.kodo.impl.jdbc.meta.FieldMappingInfo

All Implemented Interfaces:
  java.lang.Comparable

public class FieldMappingInfo
extends MappingInfo
implements java.lang.Comparable

Holds information about a field mapping; this is used as an intermediate step during serialization and deserialization of `FieldMapping`s to XML or some other format.

Constructor Summary
`FieldMappingInfo(java.lang.String fieldName)` Constructor.

Method Summary
`int` | `compareTo(java.lang.Object other)`
`java.lang.String` | `getName()` Return the name of the described field.

Methods inherited from class com.solarmetric.rd.kodo.impl.jdbc.meta.MappingInfo
`addAttribute, addField, getAttribute, getAttributeNames, getField, getFields, getMappingType, setMappingType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldMappingInfo

    public FieldMappingInfo(java.lang.String fieldName)

  Constructor. Supply described field's name.

Method Detail

### getName

    public java.lang.String getName()

  Return the name of the described field.

### compareTo

    public int compareTo(java.lang.Object other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.